curl --request POST \
--url https://api.example.com/v2/{entity}/{project}/predictions \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "<string>",
"inputs": {},
"output": "<unknown>",
"evaluation_run_id": "<string>"
}
'{
"prediction_id": "<string>"
}Create a prediction.
curl --request POST \
--url https://api.example.com/v2/{entity}/{project}/predictions \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "<string>",
"inputs": {},
"output": "<unknown>",
"evaluation_run_id": "<string>"
}
'{
"prediction_id": "<string>"
}Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Request body for creating a Prediction via REST API.
This model excludes project_id since it comes from the URL path in RESTful endpoints.
Successful Response
The prediction ID
Was this page helpful?